<ion-list>
  <ion-header class="ion-padding">
    <ion-toolbar class="ion-text-wrap">
      <ion-avatar slot="start">
        <img src="{{user?.profilePicture?.content}}">
      </ion-avatar>
      <ion-title size="small" style="font-weight: bold;">{{user?.name}}</ion-title>
      <ion-title size="small" style="font-size: smaller;">{{user?.emailId}}</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-item *ngIf="debugService.isDebug()" button class="text-10" (click)="forDeveloper()">
    <ion-icon name="code-working"></ion-icon>
    <ion-label>{{ 'For Developer' | translate }}</ion-label>
  </ion-item>

  <div *ngIf="user?.type=='Security'">
    <ion-item button class="text-10" *ngIf="securityGuard==undefined; else elseBlock1">
      <ion-icon name="key"></ion-icon>
      <ion-label>{{ 'Check In' | translate }}</ion-label>
    </ion-item>

    <ng-template #elseBlock1>
      <ion-item class="text-10">
        <ion-icon name="Person"></ion-icon>
        <ion-label>{{securityGuard?.name}}</ion-label>
        <ion-button color="danger" (click)="guardLogout()">{{ 'Check Out' | translate }}</ion-button>
      </ion-item>
    </ng-template>
  </div>

  <ion-item button class="text-10" (click)="openStatusPopover($event)" *ngIf="user?.status == null; else elseBlock">
    <ion-icon name="happy"></ion-icon>
    <ion-label>{{ 'Set status' | translate }}</ion-label>
  </ion-item>

  <ng-template #elseBlock>
    <ion-item button class="text-10" (click)="openStatusPopover($event)">
      <ion-icon name="happy"></ion-icon>
      <ion-label>{{ 'Edit status' | translate }}</ion-label>
    </ion-item>
  </ng-template>    

  <ion-item [routerLink]="p.url" routerOutlet="societyHome" routerDirection="root" (click)="settings()">
    <ion-icon name="settings"></ion-icon>
    <ion-label>{{p.title | translate}}</ion-label>
  </ion-item>

  <ion-item button (click)="language($event)">
    <ion-icon name="globe"></ion-icon>
    <ion-label>{{ 'Language' | translate }}</ion-label>
  </ion-item>

  <ion-item button class="text-10" (click)="logOut()">
    <ion-icon name="log-out"></ion-icon>
    <ion-label>{{ 'Sign Out' | translate }}</ion-label>
  </ion-item>
</ion-list>